﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows;

namespace Sales_Dashboard.Model
{
    public class ReportViewerClass
    {
        public void Loaded(object sender, RoutedEventArgs e)
        {
            Window mainWindow = sender as Window;
            Syncfusion.Windows.Reports.Designer.ReportDesigner ReportDesignerControl = mainWindow.FindName("ReportDesignerControl") as Syncfusion.Windows.Reports.Designer.ReportDesigner;
            ReportDesignerControl.DesignMode = Syncfusion.Windows.Reports.Designer.DesignMode.RDLC;
            ReportDesignerControl.Assemblies = new List<Assembly>();
            //Enables the multiple RDL/RDLC files without rebuilding the application. 
            ReportDesignerControl.EnableMDIDesigner = true;
            
            ReportDesignerControl.Assemblies = new List<Assembly>();
            ReportDesignerControl.Assemblies.Add(Assembly.GetExecutingAssembly());
            //Sets the RDLC report path
            ReportDesignerControl.OpenReport(new System.IO.FileInfo(@"../../ReportTemplate/DatabindingRemote.rdlc").FullName);
        }
    }
}
